AP Studio requirements

Main requirements

Read details about them in the next section

Hardware requirements

Operating system

Currently we only support Window 10, but support for more operating systems is coming too. We'll eventually support MacOS and Linux. The software was only tested on Window 10, however Window 7 should probably work out of the box. If you find so - please let us know. If you find there are issues with Window 7, again, please let us know.

Java JDK

Java JDK 8 is required in order for certain parts of the IDE to work. But you already might have it installed as part of your development machine setup, more so if you have Android Studio or other development software installed. If you don't you can find and install it from here:
https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

Android SDK

Android SDK is required in order to build and run apps, start virtual devices, get the device log and many others. It's an essential requirement.

If you already have Android Studio installed you probably have the Android SDK all set. One additional requirement for AP Studio is having SDK 28 installed, if you install the SDK sources you'll get even better experience using AP Studio. Finally in order to build apps created with the "Project Wizard" you will need to also have Build tools 28.0.3 installed.

Sign in

Signing in will be required for certain areas for the IDE in future updates. For example to manage a personal digital library synchronized with the cloud.

Need more help?

chat Head over to our Chat to get live help: https://chat.androidpal.com/channels/android-pal.